# ANSONVIF Unit Test
add_executable(ANSONVIF-UnitTest
    ANSONVIF-UnitTest.cpp
)

target_include_directories(ANSONVIF-UnitTest PRIVATE
    ${CMAKE_SOURCE_DIR}/integrations/ANSONVIF
    ${ANSLIBS_DIR}/ONVIF/include
    ${CMAKE_SOURCE_DIR}/modules/ANSCV
    ${CMAKE_SOURCE_DIR}/MediaClient
    ${CMAKE_SOURCE_DIR}/MediaClient/media
    ${CMAKE_SOURCE_DIR}/MediaClient/rtsp
    ${CMAKE_SOURCE_DIR}/MediaClient/rtp
    ${CMAKE_SOURCE_DIR}/MediaClient/bm
    ${CMAKE_SOURCE_DIR}/MediaClient/http
    ${CMAKE_SOURCE_DIR}/MediaClient/directx
    ${CMAKE_SOURCE_DIR}/MediaClient/rtmp
    ${CMAKE_SOURCE_DIR}/MediaClient/librtmp
    ${CMAKE_SOURCE_DIR}/MediaClient/srt
    ${CMAKE_SOURCE_DIR}/MediaClient/ffmpeg/include
    ${CMAKE_SOURCE_DIR}/MediaClient/openssl/include
    ${CMAKE_SOURCE_DIR}/MediaClient/libsrt/include
    ${ANSLIBS_DIR}/TurboJpeg
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSONVIF-UnitTest
    PRIVATE ANSONVIF
    PRIVATE ANSCV
    PRIVATE ANSLicensingSystem
    PRIVATE anslicensing
    PRIVATE labview
    PRIVATE opencv
    PRIVATE CUDA::cudart
    PRIVATE CUDA::nvjpeg
)

if(WIN32)
    target_link_libraries(ANSONVIF-UnitTest PRIVATE ${WIN_COMMON_LIBS})
endif()

target_compile_definitions(ANSONVIF-UnitTest PRIVATE UNICODE _UNICODE)
